## DzlShortcutsWindow

DzlShortcutsWindow — Toplevel which shows help for shortcuts

## Properties

char * | section-name | Read / Write
char * | view-name | Read / Write

## Signals

void | close | Action
void | search | Action

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── DzlShortcutsWindow

## Description

A DzlShortcutsWindow shows brief information about the keyboard shortcuts and gestures of an application. The shortcuts can be grouped, and you can have multiple sections in this window, corresponding to the major modes of your application.

Additionally, the shortcuts can be filtered by the current view, to avoid showing information that is not relevant in the current application context.

The recommended way to construct a DzlShortcutsWindow is with GtkBuilder, by populating a DzlShortcutsWindow with one or more DzlShortcutsSection objects, which contain DzlShortcutsGroups that in turn contain objects of class DzlShortcutsShortcut.

### A simple example:

This example has as single section. As you can see, the shortcut groups are arranged in columns, and spread across several pages if there are too many to find on a single page.

The .ui file for this example can be found here.

### An example with multiple views:

This example shows a DzlShortcutsWindow that has been configured to show only the shortcuts relevant to the "stopwatch" view.

The .ui file for this example can be found here.

### An example with multiple sections:

This example shows a DzlShortcutsWindow with two sections, "Editor Shortcuts" and "Terminal Shortcuts".

The .ui file for this example can be found here.

## Functions

## Property Details

### The `“section-name”` property

      “section-name”             char *

The name of the section to show.

This should be the section-name of one of the DzlShortcutsSection objects that are in this shortcuts window.

Owner: DzlShortcutsWindow

Flags: Read / Write

Default value: "internal-search"

### The `“view-name”` property

      “view-name”                char *

The view name by which to filter the contents.

This should correspond to the “view” property of some of the DzlShortcutsGroup objects that are inside this shortcuts window.

Set this to `NULL` to show all groups.

Owner: DzlShortcutsWindow

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“close”` signal

    void
    user_function (DzlShortcutsWindow *dzlshortcutswindow,
                   gpointer            user_data)

The ::close signal is a keybinding signal which gets emitted when the user uses a keybinding to close the window.

The default binding for this signal is the Escape key.

#### Parameters

user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“search”` signal

    void
    user_function (DzlShortcutsWindow *dzlshortcutswindow,
                   gpointer            user_data)

The ::search signal is a keybinding signal which gets emitted when the user uses a keybinding to start a search.

The default binding for this signal is Control-F.

#### Parameters

user_data | user data set when the signal handler was connected. |

Flags: Action